Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 21 Nov 2014, 23:07
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Transmission 2.31 pets - Peer-to-Peer connector
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 6 of 9 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9 Next
Author Message
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Mon 12 Jul 2010, 05:41    Post_subject: Re: Transmission wont run  

aciddiver wrote:
I'm using Bruno Pup 4.3.1 and have been using Transmission for a couple of months. For one reason or another I deleted my pup-save file and started over. However this time when I installed Transmission, it wouldn't run.


I have updated the pets and tested them in Bruno and now they work. Last time I had compiled transmission in quirky and there were libraries mismatch with all puppies based on 431. Anyway under clean install I compiled it again and in 431 this time and now works tested on 431, quirky and Bruno.

@willem1940NLD
I don't understand what you mean, can't you see the pets in the first post?
Back to top
View user's profile Send_private_message 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Mon 12 Jul 2010, 07:52    Post_subject:  

O.k, thanks; I only observed the link-like coloured names, not the separate download fields lower in the message .... downloaded full and will try out.
Back to top
View user's profile Send_private_message MSNM 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Mon 12 Jul 2010, 08:48    Post_subject:  

201 I could not get to work in lupu 501, but 191 given to me on chat by user Upera about 3 hours ago, does fine.

Of course I uninstalled versions between tests.

Much better/easier than pctorrent, at any rate.
Back to top
View user's profile Send_private_message MSNM 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Mon 26 Jul 2010, 06:50    Post_subject:  

Can the newer versions of trasmission be compiled to work on Puppy Linux 43.* which has a older glibc?
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send_private_message Visit_website 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Mon 26 Jul 2010, 08:13    Post_subject:  

abushcrafter wrote:
Can the newer versions of trasmission be compiled to work on Puppy Linux 43.* which has a older glibc?


As I've written:
"under clean install I compiled it again and in 431 this time and now works tested on 431, quirky and Bruno."

So it works definitely under 431 because I've compiled it in 431. Confused
Are you sure you haven't changed something in your puppy?
Back to top
View user's profile Send_private_message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Mon 26 Jul 2010, 11:20    Post_subject:  

Michalis wrote:
abushcrafter wrote:
Can the newer versions of trasmission be compiled to work on Puppy Linux 43.* which has a older glibc?


As I've written:
"under clean install I compiled it again and in 431 this time and now works tested on 431, quirky and Bruno."

So it works definitely under 431 because I've compiled it in 431. Confused
Are you sure you haven't changed something in your puppy?
Then Why do I get:
Code:
# transmission
transmission: /lib/libc.so.6: version `GLIBC_2.7' not found (required by transmission)
#
I used "libidn.so.11.5.44" from Lupu.
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send_private_message Visit_website 
eden6000

Joined: 08 Apr 2007
Posts: 259

PostPosted: Tue 27 Jul 2010, 05:56    Post_subject:  

I can quote Michalis, I'm using transmission-small on puppies4.31 (derivative of puppy4.31) and it works fine.
Back to top
View user's profile Send_private_message 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Tue 27 Jul 2010, 07:22    Post_subject:  

abushcrafter wrote:
Then Why do I get:
Code:
# transmission
transmission: /lib/libc.so.6: version `GLIBC_2.7' not found (required by transmission)
#
I used "libidn.so.11.5.44" from Lupu.


It seems that you are using the previous file that I had compiled in quirky and they needed libc version 2.7. I updated the pets in 12 of July, download them again and check it.

If that won't solve your problem then type in the terminal "/lib/libc.so.6" and post the version of the library and which exactly puppy you are using. Is it the official 431 or a pupplet or other derivate?

By the way I checked again by loading of the cd of 431, using pfix=ram and worked.
Back to top
View user's profile Send_private_message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Tue 27 Jul 2010, 07:30    Post_subject:  

Michalis wrote:
abushcrafter wrote:
Then Why do I get:
Code:
# transmission
transmission: /lib/libc.so.6: version `GLIBC_2.7' not found (required by transmission)
#
I used "libidn.so.11.5.44" from Lupu.


It seems that you are using the previous file that I had compiled in quirky and they needed libc version 2.7. I updated the pets in 12 of July, download them again and check it.
That was it. Thanks again.
_________________
adobe flash is rubbish!
My Quote:"Humans are stupid, though some are clever but stupid." http://www.dependent.de/media/audio/mp3/System_Syn_Heres_to_You.zip http://www.systemsyn.com/
Back to top
View user's profile Send_private_message Visit_website 
jockjunior

Joined: 29 Jan 2008
Posts: 145
Location: Lancashire,U.K.

PostPosted: Thu 29 Jul 2010, 09:17    Post_subject:  

Hi, using Puppy 5.01 frugal install with transmission-2.01-i486.pet( and libevent 1.4.14 pet . No problems here.

Thanks for your work/

Jock
Back to top
View user's profile Send_private_message Visit_website 
GustavoYz


Joined: 07 Jul 2010
Posts: 897
Location: .ar

PostPosted: Mon 02 Aug 2010, 02:00    Post_subject:  

Thank you very much Michalis, great software and you also take care of the dependencies...Just, thank you. Very HappyVery HappyVery HappyVery HappyVery Happy
Back to top
View user's profile Send_private_message 
mdisaster2

Joined: 22 Dec 2006
Posts: 107
Location: Rome, Italy

PostPosted: Sun 29 Aug 2010, 16:03    Post_subject:  

Works fine in Lupu 5.1 (full program w/o locales + libevent)
Back to top
View user's profile Send_private_message 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Thu 09 Sep 2010, 07:55    Post_subject:  

Yesterday' s experiments, 3 failing versions, ruined my puppy 511, I had to format & reinstall clean.

I need a transmission pet to definitely work & appear in taskbar .... puppy 511.

Question
Back to top
View user's profile Send_private_message MSNM 
stu90


Joined: 25 Feb 2010
Posts: 1401
Location: England. Dell Inspiron 1501. Dpup

PostPosted: Thu 09 Sep 2010, 08:45    Post_subject:  

willem1940NLD wrote:
Yesterday' s experiments, 3 failing versions, ruined my puppy 511, I had to format & reinstall clean.

I need a transmission pet to definitely work & appear in taskbar .... puppy 511.

Question

What happened that required you to format & reinstall?
For the taskbar icon to show you need to enable it in preferences>desktop.

Transmission 2.0.4 is working for me on puppy 5.11
http://www.murga-linux.com/puppy/viewtopic.php?p=446092#446092
Back to top
View user's profile Send_private_message 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Thu 09 Sep 2010, 11:00    Post_subject:  

Thanks, this one works alright.

What went wrong ... maybe not exactly due to transmission (only) but one cannot be too cautious, best have a tested pet.

First, still using ext2 format, updated 510 into 511 .... not really nice, so formatted and made clean install, still ext2 only.

2 or 3 versions Transmission did not work right and the one I had obtained from installer (ubuntu) after removal obviously did not uninstall completely, (dead) menu entry kept present.

More or less same happened with some Pidgin pets/files.

Then, after computer restart, also Firefox was dead.

Button Puppychat still worked. Did some talking making me decide to format again and this time using Ext3 for the system partition.

New clean install and I found a fit Pidgin pet, working well. Finally, this Transmission pet also o.k now .... thank you again.
Back to top
View user's profile Send_private_message MSNM 
Display_posts:   Sort by:   
Page 6 of 9 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0838s ][ Queries: 13 (0.0065s) ][ GZIP on ]